<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines validator annotation object.
 *
 * @Annotation
 */
final class Validator extends Plugin {

  /**
   * The plugin ID.
   */
  public string $id;

  /**
   * The human-readable name of the plugin.
   *
   * @ingroup plugin_translatable
   */
  public string $title;

  /**
   * The description of the plugin.
   *
   * @ingroup plugin_translatable
   */
  public string $description;

  /**
   * The validator country code.
   *
   * @var string
   */
  public string $country_code;

  /**
   * Is this validator active?
   *
   * @var bool
   */
  public bool $active = TRUE;

}
