<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the validator.
 *
 * @Validator(
 *   id = "ar_dni_cuit_cuil_validator",
 *   label = @Translation("DNI, CUIT, or CUIL"),
 *   description = @Translation("Between 7 to 9 or 11 digits."),
 *   country_code = "AR",
 *   active = true
 * )
 */
final class ArDniCuitCuilValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    // Remove any non-numeric characters.
    // $document = preg_replace('/\D/', '', $document);
    // Check if the document is either 7-9 digits (DNI) or
    // exactly 11 digits (CUIT/CUIL).
    return preg_match('/^\d{7,9}$|^\d{11}$/', $document) === 1;
  }

}
