<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Bangladesh NID validator.
 *
 * @Validator(
 *   id = "bd_nid_validator",
 *   label = @Translation("Bangladesh NID Card"),
 *   description = @Translation("Must be between 13 and 17 digits."),
 *   country_code = "BD",
 *    active = true
 * )
 */
final class BdNidValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    // Check if the document consists of only digits and has a length of 13-17.
    return preg_match('/^\d{13,17}$/', $document) === 1;
  }

}
