<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Bolivia CI validator.
 *
 * @Validator(
 *   id = "bo_ci_validator",
 *   label = @Translation("Bolivia CI"),
 *   description = @Translation("Must be between 5 and 20 digits."),
 *   country_code = "BO",
 *    active = true
 * )
 */
final class BoCiValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    // Check if the document contains only digits and has a length of 5-20.
    return preg_match('/^\d{5,20}$/', $document) === 1;
  }

}
