<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Cameroon CNI validator.
 *
 * @Validator(
 *   id = "cm_cni_validator",
 *   label = @Translation("Cameroon CNI or ID"),
 *   description = @Translation("Must consist of exactly 8 digits."),
 *   country_code = "CM",
 *    active = true
 * )
 */
final class CmCniValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    // Must be exactly 8 numeric digits.
    return preg_match('/^\d{8}$/', $document) === 1;
  }

}
