<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Colombia CC validator.
 *
 * @Validator(
 *   id = "co_cc_validator",
 *   label = @Translation("Colombia CC"),
 *   description = @Translation("Must be between 6 and 11 digits."),
 *   country_code = "CO",
 *    active = true
 * )
 */
final class CoCcValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    // Must be 6 to 11 digits, no letters or symbols.
    return preg_match('/^\d{6,11}$/', $document) === 1;
  }

}
