<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Costa Rica CI validator.
 *
 * @Validator(
 *   id = "cr_ci_validator",
 *   label = @Translation("Costa Rica CI"),
 *   description = @Translation("Must be exactly 9 digits."),
 *   country_code = "CR",
 *    active = true
 * )
 */
final class CrCiValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    // Must be exactly 9 digits.
    return preg_match('/^\d{9}$/', $document) === 1;
  }

}
