<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Ecuador CI validator.
 *
 * @Validator(
 *   id = "ec_ci_validator",
 *   label = @Translation("Ecuador CI"),
 *   description = @Translation("Must be between 5 and 20 digits."),
 *   country_code = "EC",
 *    active = true
 * )
 */
final class EcCiValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    // Must be 5 to 20 numeric digits.
    return preg_match('/^\d{5,20}$/', $document) === 1;
  }

}
