<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Egypt ID validator.
 *
 * @Validator(
 *   id = "eg_id_validator",
 *   label = @Translation("Egypt National ID"),
 *   description = @Translation("Must be exactly 14 digits."),
 *   country_code = "EG",
 *    active = true
 * )
 */
final class EgIdValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    // Must be exactly 14 numeric digits.
    return preg_match('/^\d{14}$/', $document) === 1;
  }

}
