<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Ghana Card validator.
 *
 * @Validator(
 *   id = "gh_ghana_card_validator",
 *   label = @Translation("Ghana Card"),
 *   description = @Translation("Must be 13 characters: 3 letters followed by 10 digits."),
 *   country_code = "GH",
 *    active = true
 * )
 */
final class GhGhanaCardValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    // Should be exactly 13 characters: 3 letters + 10 digits.
    return preg_match('/^[A-Z]{3}\d{10}$/i', $document) === 1;
  }

}
