<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Guatemala CUI validator.
 *
 * @Validator(
 *   id = "gt_cui_validator",
 *   label = @Translation("Guatemala CUI"),
 *   description = @Translation("Must be exactly 13 digits."),
 *   country_code = "GT",
 *    active = true
 * )
 */
final class GtCuiValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    // Must be exactly 13 numeric digits.
    return preg_match('/^\d{13}$/', $document) === 1;
  }

}
