<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Honduras DNI validator.
 *
 * @Validator(
 *   id = "hn_dni_validator",
 *   label = @Translation("Honduras DNI"),
 *   description = @Translation("Must be exactly 13 digits."),
 *   country_code = "HN",
 *   active = true
 * )
 */
final class HnDniValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    // Validate exactly 13 numeric digits.
    return preg_match('/^\d{13}$/', $document) === 1;
  }

}
