<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Indonesia NIK validator.
 *
 * @Validator(
 *   id = "id_nik_validator",
 *   label = @Translation("Indonesia NIK"),
 *   description = @Translation("Must be exactly 16 digits."),
 *   country_code = "ID",
 *   active = true
 * )
 */
final class IdNikValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    // Must be exactly 16 digits.
    return preg_match('/^\d{16}$/', $document) === 1;
  }

}
