<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Jordan National ID validator.
 *
 * @Validator(
 *   id = "jo_id_validator",
 *   label = @Translation("Jordan National ID"),
 *   description = @Translation("Must be exactly 10 digits."),
 *   country_code = "JO",
 *   active = true
 * )
 */
final class JoIdValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    // Must be exactly 10 digits.
    return preg_match('/^\d{10}$/', $document) === 1;
  }

}
