<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Japan My Number validator.
 *
 * @Validator(
 *   id = "jp_my_number_validator",
 *   label = @Translation("Japan My Number"),
 *   description = @Translation("Must be exactly 12 digits."),
 *   country_code = "JP",
 *   active = true
 * )
 */
final class JpMyNumberValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    // Validate that the document is exactly 12 digits.
    return preg_match('/^\d{12}$/', $document) === 1;
  }

}
