<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Kenya National ID validator.
 *
 * @Validator(
 *   id = "ke_id_validator",
 *   label = @Translation("Kenya National ID"),
 *   description = @Translation("Must be exactly 8 digits."),
 *   country_code = "KE",
 *   active = true
 * )
 */
final class KeIdValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    // Valid if exactly 8 digits.
    return preg_match('/^\d{8}$/', $document) === 1;
  }

}
