<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Morocco CNIE validator.
 *
 * @Validator(
 *   id = "ma_cnie_validator",
 *   label = @Translation("Morocco CNIE"),
 *   description = @Translation("Must be between 5 and 20 alphanumeric characters."),
 *   country_code = "MA",
 *   active = true
 * )
 */
final class MaCnieValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    // Accepts 5 to 20 alphanumeric characters.
    return preg_match('/^[A-Z0-9]{5,20}$/i', $document) === 1;
  }

}
