<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Mexico CURP validator.
 *
 * @Validator(
 *   id = "mx_curp_validator",
 *   label = @Translation("Mexico CURP"),
 *   description = @Translation("Must be between 10 and 18 alphanumeric characters."),
 *   country_code = "MX",
 *   active = true
 * )
 */
final class MxCurpValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    // CURP must be between 10 and 18 alphanumeric characters.
    return preg_match('/^[A-Z0-9]{10,18}$/i', $document) === 1;
  }

}
