<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Malaysia NRIC validator.
 *
 * @Validator(
 *   id = "my_nric_validator",
 *   label = @Translation("Malaysia NRIC"),
 *   description = @Translation("Must be exactly 12 digits."),
 *   country_code = "MY",
 *   active = true
 * )
 */
final class MyNricValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    // NRIC must be exactly 12 digits.
    return preg_match('/^\d{12}$/', $document) === 1;
  }

}
