<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Niger CNI validator.
 *
 * @Validator(
 *   id = "ne_cni_validator",
 *   label = @Translation("Niger CNI"),
 *   description = @Translation("Must be exactly 7 numeric digits."),
 *   country_code = "NE",
 *   active = true
 * )
 */
final class NeCniValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    return preg_match('/^\d{7}$/', $document) === 1;
  }

}
