<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Nigeria NIN validator.
 *
 * @Validator(
 *   id = "ng_nin_validator",
 *   label = @Translation("Nigeria NIN"),
 *   description = @Translation("Must be exactly 11 digits."),
 *   country_code = "NG",
 *   active = true
 * )
 */
final class NgNinValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    return preg_match('/^\d{11}$/', $document) === 1;
  }

}
