<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Nicaragua DNI validator.
 *
 * @Validator(
 *   id = "ni_dni_validator",
 *   label = @Translation("Nicaragua DNI"),
 *   description = @Translation("Must be 13 digits followed by 1 letter."),
 *   country_code = "NI",
 *   active = true
 * )
 */
final class NiDniValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    // Must be exactly 13 digits + 1 letter at the end.
    return preg_match('/^\d{13}[A-Z]$/i', $document) === 1;
  }

}
