<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Peru DNI validator.
 *
 * @Validator(
 *   id = "pe_dni_validator",
 *   label = @Translation("Peru DNI"),
 *   description = @Translation("Must be between 8 and 9 numeric digits."),
 *   country_code = "PE",
 *   active = true
 * )
 */
final class PeDniValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    return preg_match('/^\d{8,9}$/', $document) === 1;
  }

}
