<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Philippines PSN validator.
 *
 * @Validator(
 *   id = "ph_psn_validator",
 *   label = @Translation("Philippines PSN"),
 *   description = @Translation("Must be exactly 12 numeric digits."),
 *   country_code = "PH",
 *   active = true
 * )
 */
final class PhPsnValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    return preg_match('/^\d{12}$/', $document) === 1;
  }

}
