<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Pakistan CNIC validator.
 *
 * @Validator(
 *   id = "pk_cnic_validator",
 *   label = @Translation("Pakistan CNIC"),
 *   description = @Translation("Must be exactly 13 digits."),
 *   country_code = "PK",
 *   active = true
 * )
 */
final class PkCnicValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    // Must be exactly 13 numeric digits.
    return preg_match('/^\d{13}$/', $document) === 1;
  }

}
