<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Rwanda National ID validator.
 *
 * @Validator(
 *   id = "rw_id_validator",
 *   label = @Translation("Rwanda National ID"),
 *   description = @Translation("Must be exactly 16 numeric digits."),
 *   country_code = "RW",
 *   active = true
 * )
 */
final class RwIdValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    return preg_match('/^\d{16}$/', $document) === 1;
  }

}
