<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Saudi Arabia National ID validator.
 *
 * @Validator(
 *   id = "sa_id_validator",
 *   label = @Translation("Saudi Arabia National ID"),
 *   description = @Translation("Must be exactly 10 numeric digits."),
 *   country_code = "SA",
 *   active = true
 * )
 */
final class SaIdValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    return preg_match('/^\d{10}$/', $document) === 1;
  }

}
