<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Senegal CNI or ECOWAS ID validator.
 *
 * @Validator(
 *   id = "sn_cni_validator",
 *   label = @Translation("Senegal CNI or ECOWAS ID Card"),
 *   description = @Translation("Must be between 13 and 17 numeric digits."),
 *   country_code = "SN",
 *   active = true
 * )
 */
final class SnCniValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    return preg_match('/^\d{13,17}$/', $document) === 1;
  }

}
