<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the El Salvador DUI validator.
 *
 * @Validator(
 *   id = "sv_dui_validator",
 *   label = @Translation("El Salvador DUI"),
 *   description = @Translation("Must be exactly 9 digits."),
 *   country_code = "SV",
 *    active = true
 * )
 */
final class SvDuiValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    // Must be exactly 9 numeric digits.
    return preg_match('/^\d{9}$/', $document) === 1;
  }

}
