<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Turkey T.C. Kimlik No. validator.
 *
 * @Validator(
 *   id = "tr_kimlik_validator",
 *   label = @Translation("Turkey T.C. Kimlik No."),
 *   description = @Translation("Must be between 5 and 20 numeric digits."),
 *   country_code = "TR",
 *   active = true
 * )
 */
final class TrKimlikValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    return preg_match('/^\d{5,20}$/', $document) === 1;
  }

}
