<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Tanzania National ID validator.
 *
 * @Validator(
 *   id = "tz_id_validator",
 *   label = @Translation("Tanzania National Identity Card"),
 *   description = @Translation("Must be exactly 20 numeric digits."),
 *   country_code = "TZ",
 *   active = true
 * )
 */
final class TzIdValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    return preg_match('/^\d{20}$/', $document) === 1;
  }

}
