<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Uganda NIC validator.
 *
 * @Validator(
 *   id = "ug_nic_validator",
 *   label = @Translation("Uganda National ID Number (Ndaga Muntu)"),
 *   description = @Translation("Must be between 14 and 17 numeric digits."),
 *   country_code = "UG",
 *   active = true
 * )
 */
final class UgNicValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    return preg_match('/^\d{14,17}$/', $document) === 1;
  }

}
