<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Uruguay CI/RUT validator.
 *
 * @Validator(
 *   id = "uy_ci_rut_validator",
 *   label = @Translation("Uruguay CI or RUT"),
 *   description = @Translation("Must be 6–8 or exactly 12 numeric digits."),
 *   country_code = "UY",
 *   active = true
 * )
 */
final class UyCiRutValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    return preg_match('/^(\d{6,8}|\d{12})$/', $document) === 1;
  }

}
