<?php

declare(strict_types=1);

namespace Drupal\ipd_validator\Plugin\Validator;

use Drupal\ipd_validator\ValidatorPluginBase;

/**
 * Plugin implementation of the Vietnam VNID validator.
 *
 * @Validator(
 *   id = "vn_vnid_validator",
 *   label = @Translation("Vietnam VNID"),
 *   description = @Translation("Must be either 9 or 13 numeric digits."),
 *   country_code = "VN",
 *   active = true
 * )
 */
final class VnVnidValidator extends ValidatorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function isValid(string $document): bool {
    return preg_match('/^\d{9}$|^\d{13}$/', $document) === 1;
  }

}
